<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>	
		<record model="ir.actions.act_window" id="open_view_target_tahunan_atasan">
            <field name="name">Penilaian Target Kerja</field>
            <field name="res_model">project.project</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_target_tahunan_all_filter"/>
            <field name="domain">[('user_id_atasan','=',uid),('state','=','propose')]</field>
            <field name="help" type="html">
              <p>
                Menu ini khusus untuk atasan, dan menampilkan target tahunan yang harus di periksa.
              </p>
            </field>
        </record>
        
		<record model="ir.actions.act_window" id="open_view_target_tahunan_bkd">
            <field name="name">Verifikasi Target Kerja</field>
            <field name="res_model">project.project</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_target_tahunan_all_filter"/>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','evaluated')]</field>
            <field name="help" type="html">
              <p >
                Menu khusus untuk tim verifikatur, dan menampilkan kegiatan yang harus di verifikasi.
              </p>
            </field>
        </record>
        
        <record model="ir.actions.act_window" id="open_view_target_tahunan_kuantitas_output_bkd">
            <field name="name">Verifikasi Target Kerja Tidak Sesuai</field>
            <field name="res_model">project.project</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_target_tahunan_all_filter"/>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','evaluated'),('target_jumlah_kuantitas_output','=',0)]</field>
            <field name="help" type="html">
              <p >
                Menu khusus untuk tim verifikatur, dan menampilkan kegiatan yang harus di verifikasi.
              </p>
            </field>
        </record>

		<record model="ir.actions.act_window" id="correction_view_target_tahunan_bkd">
            <field name="name">Pengajuan Revisi Target</field>
            <field name="res_model">project.project</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_target_tahunan_all_filter"/>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','propose_correction')]</field>
            <field name="help" type="html">
              <p >
                Menu ini khusus untuk tim verifikatur dan menampilkan target yang akan direvisi
              </p>
            </field>
        </record>
        <record model="ir.actions.act_window" id="closing_view_target_tahunan_bkd">
            <field name="name">Pengajuan Closing Target</field>
            <field name="res_model">project.project</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_target_tahunan_all_filter"/>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','propose_to_close')]</field>
            <field name="help" type="html">
              <p >
               Menu ini khusus untuk tim verifikatur dan menampilkan target yang akan di close. 
              </p>
            </field>
        </record>
        
        <record model="ir.actions.act_window" id="open_view_target_tahunan_all_manager">
            <field name="name">Target Kerja</field>
            <field name="res_model">project.project</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_target_tahunan_all_filter"/>
            <field name="domain">['|','|',('user_id_bkd','=',uid),('user_id_atasan','=',uid),('user_id_banding','=',uid)]</field>
            <field name="help" type="html">
              <p >
                Menu ini menampilkan status kegiatan pegawai dan pegawai yang ada di bawahnya
              </p>
            </field>
        </record>

		<record model="ir.actions.act_window.view" id="action_open_view_target_tahunan_all_manager_tree_view">
				<field eval="1" name="sequence"/>
				<field name="view_mode">tree</field>
				<field name="view_id" ref="view_menu_target_skp_tree"/>
				<field name="act_window_id" ref="open_view_target_tahunan_all_manager"/>
			</record>
			<record model="ir.actions.act_window.view" id="action_open_view_target_tahunan_all_manager_form_view">
				<field eval="2" name="sequence"/>
				<field name="view_mode">form</field>
				<field name="view_id" ref="view_menu_target_skp_form"/>
				<field name="act_window_id" ref="open_view_target_tahunan_all_manager"/>
			</record>
        
		<record model="ir.actions.act_window" id="open_view_target_tahunan_all_admin">
            <field name="name">Target Kerja Admin</field>
            <field name="res_model">project.project</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="open_view_target_tahunan_all_filter"/>
            <field name="help" type="html">
              <p >
                Menu ini menampilkan status kegiatan pegawai dan pegawai yang ada di bawahnya
              </p>
            </field>
        </record>

		<record model="ir.actions.act_window.view" id="action_open_view_target_tahunan_all_admin_tree_view">
				<field eval="1" name="sequence"/>
				<field name="view_mode">tree</field>
				<field name="view_id" ref="view_menu_target_skp_tree"/>
				<field name="act_window_id" ref="open_view_target_tahunan_all_admin"/>
			</record>
			<record model="ir.actions.act_window.view" id="action_open_view_target_tahunan_all_admin_form_view">
				<field eval="2" name="sequence"/>
				<field name="view_mode">form</field>
				<field name="view_id" ref="view_menu_target_skp_form"/>
				<field name="act_window_id" ref="open_view_target_tahunan_all_admin"/>
			</record>

<!-- MENUUUUUUU           -->
<!-- Pegawai -->
		<menuitem id="menu_skp" name="Prestasi Kerja" 
		parent="menu_penilaian_prestasi_kerja" 
		sequence="1" groups="group_project_user,group_project_evaluated_bkd"/>

			<record model="ir.actions.act_window.view" id="action_view_menu_target_skp_tree_view">
				<field eval="1" name="sequence"/>
				<field name="view_mode">tree</field>
				<field name="view_id" ref="view_menu_target_skp_tree"/>
				<field name="act_window_id" ref="action_menu_target_skp"/>
			</record>
			<record model="ir.actions.act_window.view" id="action_view_menu_target_skp_form_view">
				<field eval="2" name="sequence"/>
				<field name="view_mode">form</field>
				<field name="view_id" ref="view_menu_target_skp_form"/>
				<field name="act_window_id" ref="action_menu_target_skp"/>
			</record>

			<menuitem action="action_menu_target_skp" id="menu_target_skp" name="Sasaran Kerja Pegawai" 
			parent="menu_skp" sequence="1" groups="group_project_user"/>
			
			<menuitem action="action_menu_realisasi_skp" id="menu_realisasi_skp" name="Realisasi SKP Bulanan" 
			 	 sequence="2" parent="menu_skp"  groups="group_project_user"/>
			
			<menuitem  id="menu_realisasi_tambahan_parent" name="Realisasi Tgs Tambahan , Kreatifitas Bulanan"   
				parent="menu_skp" sequence="3" groups="group_project_user" />
				<menuitem action="action_menu_realisasi_tambahan" id="menu_realisasi_tambahan" 
				 name="Tgs Tambahan , Kreatifitas Bulanan" parent="menu_realisasi_tambahan_parent"   sequence="2" groups="df_project.group_project_user"/>
			<menuitem  id="menu_realisasi_perilaku_parent" name="Realisasi Perilaku Bulanan"   
				parent="menu_skp" sequence="4" groups="group_project_user" />	
			    <menuitem action="action_menu_realisasi_perilaku" id="menu_realisasi_perilaku" name="Perilaku Bulanan"  
				parent="menu_realisasi_perilaku_parent" sequence="2" groups="df_project.group_project_user"/>
		    
			
		    
		<menuitem id="menu_penilaian_prestasi_atasan" name="Penilaian Prestasi Kerja" 
		parent="menu_penilaian_prestasi_kerja"  
		sequence="2" groups="group_project_manager" />
		      	
	      	<menuitem action="open_view_target_tahunan_atasan" id="view_target_tahunan_atasan" 
	      	name="Penilaian Sasaran Kerja Pegawai" parent="menu_penilaian_prestasi_atasan" 
	      	sequence="1" groups="group_project_manager,base.group_no_one" />
	      	<menuitem action="open_view_realisasi_skp_atasan" id="view_realisasi_skp_atasan" 
			name="SKP Bulanan" parent="menu_penilaian_prestasi_atasan" sequence="2" 
			groups="group_project_manager,base.group_no_one"/>
	      	<menuitem action="action_menu_realisasi_tambahan_atasan" id="menu_realisasi_tambahan_atasan"
			 name="Tgs Tambahan, Kreatifitas Bulanan" parent="menu_penilaian_prestasi_atasan" 
			sequence="3" groups="df_project.group_project_manager" />
	      	<menuitem action="action_menu_realisasi_perilaku_atasan" id="menu_realisasi_perilaku_atasan"  
		name="Perilaku Bulanan" parent="menu_penilaian_prestasi_atasan" sequence="4" groups="df_project.group_project_manager"/>
		
	    
		<menuitem id="menu_penilaian_prestasi_banding" name="Banding Prestasi Kerja"  
      	parent="menu_penilaian_prestasi_kerja" sequence="3" groups="group_project_appeal" />
			<menuitem action="open_view_realisasi_skp_banding" id="view_realisasi_skp_banding" 
			name="SKP Bulanan" parent="menu_penilaian_prestasi_banding" sequence="1"  
			groups="group_project_appeal,base.group_no_one"/>
			<menuitem action="action_menu_realisasi_tambahan_banding" id="menu_realisasi_tambahan_banding" 
				name="Tgs Tambahan, Kreatifitas Bulanan" parent="menu_penilaian_prestasi_banding" sequence="2" 
			groups="df_project.group_project_appeal"/>
			<menuitem action="action_menu_realisasi_perilaku_banding" id="menu_realisasi_perilaku_banding" 
				name="Perilaku Bulanan"  parent="menu_penilaian_prestasi_banding"  sequence="3"  groups="df_project.group_project_appeal"/>
		
		
		<menuitem id="menu_penilaian_prestasi_verifikatur" name="Verifikasi Prestasi Kerja" 
      	parent="menu_penilaian_prestasi_kerja" sequence="4" groups="group_project_evaluated_bkd"  />
		
		    <menuitem action="open_view_target_tahunan_bkd" id="view_target_tahunan_bkd" 
		    name="Verifikasi Sasaran Kerja" parent="menu_penilaian_prestasi_verifikatur" sequence="1" 
		    groups="group_project_evaluated_bkd,base.group_no_one"  />
		    <menuitem  id="view_target_skp_bkd_category_status" name="Verifikasi Target Kategori"   
			parent="menu_penilaian_prestasi_verifikatur" sequence="1" groups="group_project_evaluated_bkd,base.group_no_one"/>
			<menuitem action="open_view_target_tahunan_kuantitas_output_bkd" id="menu_target_skp_kuantitas_output" name="Target Kuantitas 0"  
			parent="view_target_skp_bkd_category_status" sequence="1" groups="group_project_evaluated_bkd"/>
			
			<menuitem action="correction_view_target_tahunan_bkd" id="correction_target_tahunan_bkd" 
			name="Revisi Sasaran Kerja" parent="menu_penilaian_prestasi_verifikatur" sequence="2" 
			groups="group_project_evaluated_bkd,base.group_no_one"/>
			<menuitem action="closing_view_target_tahunan_bkd" id="closing_target_tahunan_bkd" 
			name="Penutupan Sasaran Kerja" parent="menu_penilaian_prestasi_verifikatur"  sequence="3" 
			groups="group_project_evaluated_bkd,base.group_no_one"/>
			<menuitem action="open_view_realisasi_skp_bkd" id="view_realisasi_skp_bkd" 
			name="Verifikasi SKP Bulanan" parent="menu_penilaian_prestasi_verifikatur" sequence="4" 
			groups="group_project_evaluated_bkd,base.group_no_one"/>
			
			<menuitem  id="view_realisasi_skp_bkd_category_status" name="Verifikasi SKP Kategori"   
			parent="menu_penilaian_prestasi_verifikatur" sequence="5" groups="group_project_evaluated_bkd,base.group_no_one"/>
			
			<menuitem action="open_view_realisasi_skp_bkd_normal" id="view_realisasi_skp_bkd_normal" 
			name="Normal" parent="view_realisasi_skp_bkd_category_status"  
			sequence="1" groups="group_project_evaluated_bkd,base.group_no_one"/>
			<menuitem  action="open_view_realisasi_skp_bkd_abnormal" id="view_realisasi_skp_bkd_abnormal"
			 name="Target Dan Realisasi Tidak Sama" parent="view_realisasi_skp_bkd_category_status"
			 sequence="2" groups="group_project_evaluated_bkd,base.group_no_one"/>
			<menuitem action="open_view_realisasi_skp_bkd_biaya" id="view_realisasi_skp_bkd_biaya"  
			name="Biaya Tidak Sama" parent="view_realisasi_skp_bkd_category_status"  
			sequence="3" groups="group_project_evaluated_bkd,base.group_no_one" />
			
			<menuitem action="action_menu_realisasi_tambahan_bkd" id="menu_realisasi_tambahan_bkd"  
				name="Verifikasi Tgs Tambahan, Kreatifitas Bulanan" parent="menu_penilaian_prestasi_verifikatur" sequence="6" 
				groups="df_project.group_project_evaluated_bkd"/>		
			
			<menuitem action="action_menu_realisasi_perilaku_bkd" id="menu_realisasi_perilaku_bkd" 
		 		name="Verifikasi Perilaku" parent="menu_penilaian_prestasi_verifikatur" sequence="7" groups="df_project.group_project_evaluated_bkd"/>		
		
			<menuitem  id="view_realisasi_perilaku_bkd_category_status" name="Verifikasi Perilaku Per Kategori" parent="menu_penilaian_prestasi_verifikatur" sequence="8" groups="group_project_evaluated_bkd,base.group_no_one"/>
			<menuitem action="open_view_realisasi_perilaku_bkd_normal" id="view_realisasi_perilaku_bkd_normal" name="Normal" parent="view_realisasi_perilaku_bkd_category_status" sequence="1" groups="group_project_evaluated_bkd,base.group_no_one"/>
			<menuitem  action="open_view_realisasi_perilaku_bkd_komitmen" id="view_realisasi_perilaku_bkd_komitmen" name="Aspek Komitmen Tidak Sama" parent="view_realisasi_perilaku_bkd_category_status" sequence="2" groups="group_project_evaluated_bkd,base.group_no_one"/>
		
		
		

			<menuitem action="done_view_realisasi_skp_bkd" id="done_realisasi_skp_bkd"  
			name="SKP Selesai" parent="menu_penilaian_prestasi_verifikatur" sequence="10" 
			groups="group_project_evaluated_bkd,base.group_no_one" />
			<menuitem action="action_menu_done_realisasi_tambahan_bkd" id="menu_done_realisasi_tambahan_bkd" 
				name="Tgs Tambahan,Kreatifitas Selesai" parent="menu_penilaian_prestasi_verifikatur" sequence="11" 
				groups="df_project.group_project_evaluated_bkd"/>
			<menuitem action="action_menu_done_realisasi_perilaku_bkd" id="menu_done_realisasi_perilaku_bkd"  
				name="Perilaku Selesai" parent="menu_penilaian_prestasi_verifikatur"  sequence="12" groups="df_project.group_project_evaluated_bkd"/>
		



<!-- UNIT -->

	<menuitem id="menu_penilaian_prestasi_unit" name="Sasaran Kerja Unit" parent="menu_penilaian_prestasi_kerja" sequence="6" groups="group_project_manager,group_project_evaluated_bkd"/>
		<menuitem action="open_view_target_tahunan_all_manager" id="open_all_target_tahunan_atasan" name="Target Kerja Unit" parent="menu_penilaian_prestasi_unit" sequence="1" groups="group_project_evaluated_bkd,group_project_manager,base.group_no_one"/>
		<menuitem action="open_view_target_tahunan_all_admin" id="open_all_target_tahunan_admin" name="Target Kerja Admin" parent="menu_penilaian_prestasi_unit" sequence="100" groups="base.group_no_one"/>
		<!--<menuitem action="open_view_target_tahunan_all_bkd" id="open_all_target_tahunan_bkd" name="Verifikasi Target Kerja" parent="menu_penilaian_prestasi_unit" sequence="2" groups="group_project_evaluated_bkd,base.group_no_one"/>-->
		<menuitem action="open_view_realisasi_skp_all" id="view_realisasi_skp_all" 
			name="Realisasi SKP Unit" parent="menu_penilaian_prestasi_unit" sequence="1" 
			groups="group_project_appeal,group_project_evaluated_bkd,group_project_manager,base.group_no_one"/>
			<menuitem action="open_view_realisasi_skp_all_admin" id="view_realisasi_skp_all_admin"
			 name="Realisasi Admin" parent="menu_penilaian_prestasi_unit" sequence="200" 
			groups="base.group_no_one" />
		<menuitem action="action_menu_realisasi_tambahan_all" id="menu_realisasi_tambahan_all" name="TugasTambahan Dan Kreatifitas" parent="menu_penilaian_prestasi_unit" sequence="69" groups="df_project.group_project_manager,df_project.group_project_appeal,df_project.group_project_evaluated_bkd"/>
		<menuitem action="action_menu_realisasi_perilaku_all" id="menu_realisasi_perilaku_all" name="Perilaku Unit" parent="menu_penilaian_prestasi_unit" sequence="69" groups="df_project.group_project_manager,df_project.group_project_appeal,df_project.group_project_evaluated_bkd"/>
	</data>
</openerp>